org.apache.coyote

## Class CloseNowException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.coyote.CloseNowException

- All Implemented Interfaces:
    Serializable

      public class CloseNowException
      extends IOException

  This exception is thrown to signal to the Tomcat internals that an error has occurred that requires the connection to be closed. For multiplexed protocols such as HTTP/2, this means the channel must be closed but the connection can continue. For non-multiplexed protocols, the connection must be closed. It corresponds to `ErrorState.CLOSE_NOW`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloseNowException()`
    `CloseNowException(String message)`
    `CloseNowException(String message, Throwable cause)`
    `CloseNowException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CloseNowException

          public CloseNowException()

    - #### CloseNowException

          public CloseNowException(String message,
                           Throwable cause)

    - #### CloseNowException

          public CloseNowException(String message)

    - #### CloseNowException

          public CloseNowException(Throwable cause)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.